@import '../styles/style';

.main {
  display: flex;
  position: relative;
}
.fade{
  padding-left: 0px !important;
}
.content {
  width: 100%;
}

.sidebar a {
  text-decoration: none;
  color: aliceblue;

}

.sidebar li {
  list-style-type: none;
}

.out {
  bottom: 0px;
  position: absolute;
  /* padding: 10px; */
}

.desc {
  padding: 5px;
  color: aliceblue;
  display: flex;
  align-items: center;
  /* justify-content: center; */
  width: 40px;
  height: 50px;
  border-bottom: 1px white solid;
  transition: 0.8s;

  i {
    margin-left: 8px;
  }
}

.isActive {
  height: 100%;
  width: 100%;
  background-color: antiquewhite;
  color: $bgColor !important;
}
.sidebar-navbar{
  width: 100%;
  height: 40px;
  background-color: rgb(235, 236, 237);
  display: flex;
  flex-wrap: wrap;
  padding: 0 10px;
  align-items: center;
  justify-content: space-between;
}

@media screen and (min-width:640px) {
  .sidebar {
    z-index: 19;
    width: 40px;
    height: 100vh;
    background-color: $bgColor;
    overflow: hidden;
    position: absolute;
    transition: 0.5s;

    li{
      ul{
        margin-bottom: 0rem;
        padding-left: 0rem;
      }
    }
    .isActive {
      border-radius: 5px;
    }

    i {
      margin-top: 3px;

      svg {
        width: 20px;
        height: 20px;
      }
    }

    &:hover .desc {
      width: 150px;
      transition: 0.8s;
    }

    &:hover {
      width: 170px;
      transition: 0.5s;
    }

    a {
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 2px 10px;

    }

    a:hover {
      border-radius: 10px;
      background-color: antiquewhite;
      color: $bgColor;
      transition: 0.8s;
      cursor: pointer;
    }

    span {
      font-size: 14px;
    }

    span {
      /* display: none; */
      min-width: 200px;
      margin-left: 15px;
    }
  }
  .content {
    // margin-left: 55px;
  }
}

@media screen and (max-width:640px) {
  .sidebar {
    bottom: 0;
    width: 100%;
    background-color: $bgColor;
    position: absolute;
    transition: 0.5s;
    z-index: 1;

    i {
      display: flex;
      padding: 5px 0;
      justify-content: center;
      height: 20px;

      svg {
        // width: 10px;
        height: 20px;
      }
    }

    li {
      display: flex;
      justify-content: space-between;
      ul {
        width: 80px;
        text-align: center;
        margin-bottom: 0rem;
        padding-left: 0rem;
      }
    }

    .desc {
      display: none;
    }

    .out {
      display: none;
    }

    span {
      font-size: 10px;
    }

    .isActive {
      border-radius: 5px;
      display: block;
    }
  }
  .content {
    margin-bottom: 50px;
  }
}